> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tembo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a user profile picture

> Redirect to a user's profile picture. Signed URLs are valid for one hour.



## OpenAPI

````yaml https://api.tembo.io/public-api/openapi/public get /v1/users/{userId}/profile-picture
openapi: 3.1.0
info:
  title: Tembo Public API
  description: >-
    Manage agents, sessions, repositories, and organization resources with the
    Tembo API.
  version: 1.0.0
servers:
  - url: https://api.tembo.io
    description: Tembo API
  - url: https://{deployment-origin}/api/public-api
    description: Self-hosted Tembo
    variables:
      deployment-origin:
        default: tembo.example.com
        description: Hostname of your self-hosted Tembo deployment
security: []
paths:
  /v1/users/{userId}/profile-picture:
    get:
      tags:
        - Users
      summary: Retrieve a user profile picture
      description: >-
        Redirect to a user's profile picture. Signed URLs are valid for one
        hour.
      operationId: retrieveUserProfilePicture
      parameters:
        - in: path
          name: userId
          schema:
            type: string
            minLength: 1
            maxLength: 255
          required: true
      responses:
        '302':
          description: Redirect to the user profile picture
          headers:
            Location:
              description: Signed or external profile picture URL
              schema:
                type: string
                format: uri
        '400':
          description: Invalid request or unsupported image type, size, or deployment mode.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '401':
          description: Authentication is required
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '404':
          description: User or profile picture not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '500':
          description: User operation failed
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '503':
          description: Image storage is unavailable
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.